/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/COPT.H__   1.4   20 Jun 1996 09:29:16   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/COPT.H__  $
** 
**    Rev 1.4   20 Jun 1996 09:29:16   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:23:54   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:35:26   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// copt.h
//
// Michael long
//                                                                           
// 5/15/1996
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _COPT_
#define _COPT_

class COption : public CProjectOption
{
// constructor/destructor
public:
    COption() {;}
    virtual ~COption() {;}
    
// attributes
public:
    CCTool m_ccTool;
    CATool m_caTool;
    CLTool m_clTool;                         
    CETool m_ceTool;                
                    
// implementation
public:
    virtual int GetFileType(LPCSTR lpcszFile) const;    
    BOOL CreateLinkCmdFile(const CStringList &lst, LPCSTR lpcszProj);
    BOOL WriteBatchFile(FILE * fp, LPCSTR lpcszText);
    
// operations
public:
    virtual void SetOption(CWnd *pParent);  
    virtual BOOL SaveOption(FILE * fp);
    virtual BOOL LoadOption(FILE * fp);
    
    virtual void Build(const CStringList &lst, LPCSTR lpcszProj);
    virtual void Editor(void);
};

#endif
